- Home
- API Enriched
- Marketplace
- namespaces
- Signup XC SaaS.
Signup XC SaaS.
POST
/no_auth/namespaces/system/f5xc-saas/signup
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/f5xc-saas/signup';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"domain":"example","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/f5xc-saas/signup \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "domain": "example", "token": "example" }'Use this API to signup registered Azure Service Bus (ASB) provisioning message for F5XC service.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
XCSaaSSignupRequest
object
domain
domain
The domain associated with the tenant/account.
string format: hostname
token
token
The token contains the encrypted data, secured using an HMAC key.
string
Examplegenerated
{ "domain": "example", "token": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
XCSaaSSignupResponse
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example